summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2020-11-20 16:10:21 +0100
committer Willy Sudiarto Raharjo2020-11-21 19:14:19 +0100
commita062342b4329f5fa2a100b04bce36a9aeae398be (patch)
tree8df3a1c3168fe5ab94d060312c8579695fe4649c
parentddd616ed6f4946f026856c642f9f2a569a320117 (diff)
downloadslackbuilds-a062342b4329f5fa2a100b04bce36a9aeae398be.tar.gz
games/sumeria: Added (hamurabi-like game)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/sumeria/README6
-rw-r--r--games/sumeria/slack-desc19
-rw-r--r--games/sumeria/sumeria.SlackBuild58
-rw-r--r--games/sumeria/sumeria.info10
4 files changed, 93 insertions, 0 deletions
diff --git a/games/sumeria/README b/games/sumeria/README
new file mode 100644
index 0000000000..a0aaf75900
--- /dev/null
+++ b/games/sumeria/README
@@ -0,0 +1,6 @@
+sumeria (hamurabi-like game)
+
+This is the good old "Govern Ancient Sumeria", also known as
+"Hamurabe", with a 1983 ecology re-write. (The more grain you leave
+in stores, the more rats eat and hence breed; the more rats there are
+the more likely is the plague to strike -- etc...).
diff --git a/games/sumeria/slack-desc b/games/sumeria/slack-desc
new file mode 100644
index 0000000000..c1845da55c
--- /dev/null
+++ b/games/sumeria/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sumeria: sumeria (hamurabi-like game)
+sumeria:
+sumeria: This is the good old "Govern Ancient Sumeria", also known as
+sumeria: "Hamurabe", with a 1983 ecology re-write. (The more grain you leave
+sumeria: in stores, the more rats eat and hence breed; the more rats there are
+sumeria: the more likely is the plague to strike -- etc...).
+sumeria:
+sumeria:
+sumeria:
+sumeria:
+sumeria:
diff --git a/games/sumeria/sumeria.SlackBuild b/games/sumeria/sumeria.SlackBuild
new file mode 100644
index 0000000000..9a86e1bc5d
--- /dev/null
+++ b/games/sumeria/sumeria.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for sumeria
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# VERSION came from the server timestamp of the source file.
+
+PRGNAM=sumeria
+VERSION=${VERSION:-20020219}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/games $OUTPUT
+cd $PKG/usr/games
+gcc -include stdlib.h -Wl,-s -o $PRGNAM $CWD/$PRGNAM.c -lm
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/sumeria/sumeria.info b/games/sumeria/sumeria.info
new file mode 100644
index 0000000000..dc9c8f380e
--- /dev/null
+++ b/games/sumeria/sumeria.info
@@ -0,0 +1,10 @@
+PRGNAM="sumeria"
+VERSION="20020219"
+HOMEPAGE="https://www.mipmip.org/C_games/"
+DOWNLOAD="https://www.mipmip.org/C_games/sumeria.c"
+MD5SUM="7ff853d65672e9b4420c5db6962abee3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"